package com.bocloud.cmp.model;

public class CatalogModel {
    /**
     * 服务目录名称
     */
    private String name;
    /**
     * 服务目录ID
     */
    private String uuid;
    /**
     * 数据中心id
     */
    private String dcId;
    /**
     * 数据中心名称
     */
    private String dcName;
    /**
     * 卷类型
     */
    private String volumeType;
    /**
     * 卷大小
     */
    private Integer volumeSize;
    /**
     * 目标类型：single_exclusive、vcenter_cluster_share、vcenter_single_exclusive
     */
    private String targetType;
    /**
     * 描述
     */
    private String remark;
    /**
     * NAS 类型：NFS，服务目录为nas时，有值
     */
    private String nasType;
    /**
     * 名称空间，服务目录为object时，有值
     */
    private String namespace;
    /**
     * bucket场景，服务目录为object时，有值
     */
    private String bucketScenario;
    /**
     * 卷列表，服务目录为clusterExclusiveStorage时，有值
     */
    private String volumes;
    /**
     * NAS卷信息，服务目录为clusterExclusiveStorage时，有值
     */
    private String nasVolume;
    /**
     * 用户服务目录类型：san、nas、lvm、vcentersan、object、clusterExclusiveStorage
     */
    private String type;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the uuid
     */
    public String getUuid() {
        return uuid;
    }

    /**
     * @param uuid the uuid to set
     */
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    /**
     * @return the dcId
     */
    public String getDcId() {
        return dcId;
    }

    /**
     * @param dcId the dcId to set
     */
    public void setDcId(String dcId) {
        this.dcId = dcId;
    }

    /**
     * @return the dcName
     */
    public String getDcName() {
        return dcName;
    }

    /**
     * @param dcName the dcName to set
     */
    public void setDcName(String dcName) {
        this.dcName = dcName;
    }

    /**
     * @return the volumeType
     */
    public String getVolumeType() {
        return volumeType;
    }

    /**
     * @param volumeType the volumeType to set
     */
    public void setVolumeType(String volumeType) {
        this.volumeType = volumeType;
    }

    /**
     * @return the volumeSize
     */
    public Integer getVolumeSize() {
        return volumeSize;
    }

    /**
     * @param volumeSize the volumeSize to set
     */
    public void setVolumeSize(Integer volumeSize) {
        this.volumeSize = volumeSize;
    }

    /**
     * @return the targetType
     */
    public String getTargetType() {
        return targetType;
    }

    /**
     * @param targetType the targetType to set
     */
    public void setTargetType(String targetType) {
        this.targetType = targetType;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the nasType
     */
    public String getNasType() {
        return nasType;
    }

    /**
     * @param nasType the nasType to set
     */
    public void setNasType(String nasType) {
        this.nasType = nasType;
    }

    /**
     * @return the namespace
     */
    public String getNamespace() {
        return namespace;
    }

    /**
     * @param namespace the namespace to set
     */
    public void setNamespace(String namespace) {
        this.namespace = namespace;
    }

    /**
     * @return the bucketScenario
     */
    public String getBucketScenario() {
        return bucketScenario;
    }

    /**
     * @param bucketScenario the bucketScenario to set
     */
    public void setBucketScenario(String bucketScenario) {
        this.bucketScenario = bucketScenario;
    }

    /**
     * @return the volumes
     */
    public String getVolumes() {
        return volumes;
    }

    /**
     * @param volumes the volumes to set
     */
    public void setVolumes(String volumes) {
        this.volumes = volumes;
    }

    /**
     * @return the nasVolume
     */
    public String getNasVolume() {
        return nasVolume;
    }

    /**
     * @param nasVolume the nasVolume to set
     */
    public void setNasVolume(String nasVolume) {
        this.nasVolume = nasVolume;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }
}
